-- ----------------------------------------------------------------------------
-- Copyright (C) 2010 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: Raul Ferrandez Salvador
-- ----------------------------------------------------------------------------
--             Voice Skin: Finnish TTS

description = "TTS"
gender = "m"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Mikko"
language = "Finnish"
marc_code = "fin"
language_id = "9"
id = "9002"
config_file = "finnish_tts/config_tts.lua"
audio_files_path = "finnish_tts/finnish_tts"
rulesets_file = "finnish_tts/finnish_tts/rulesets_FIF.txt"
userdictionary_file = "finnish_tts/finnish_tts/udct_fif.dat"
apdb = "apdb/mikko/nm"
audio_files_version = "0.2.0.2011093001"
client_range = "[client >= 1.3.18.0 ; client < 1.4.6.0 ]"

-- first maneuver / second maneuver
maneuver_check = {
    ["END"] = {"saavut määränpäähäsi", "saavut perille määränpäähäsi"},                      -- You will reach your destination / and then you will reach your destination
    ["STOPOVER"] = {"olet reittipisteessä", "saavut reittipisteeseen,"},                     -- You will reach a stopover / and then you will reach a stopover
    ["JUNCTION"] = {nil, nil},                                                                                                                          -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = {nil, nil},                                                                                                     
    ["ROUNDABOUT"] = {"poistu liikenneympyrästä", "sitten poistu liikenneympyrästä"},        -- At the roundabout / and then at the roundabout
    ["EXIT_ROUNDABOUT"] = {"poistu liikenneympyrästä", "poistu liikenneympyrästä"},          -- take the exit (special wording for taking exit at a roundabout)
    ["UTURN"] = {"tee u-käännös", "tee u-käännös"},                                       -- Make a uturn / and then make a u-turn
    ["ENTER_HIGHWAY"] = {"aja moottoritielle", "aja sitten moottoritielle"},                 -- enter motorway / and then enter motorway
    ["LEAVE_HIGHWAY"] = {"poistu moottoritieltä", "poistu moottoritieltä"},                  -- take the exit (special wording for taking exit at a motorway)
    ["CONTINUE_HIGHWAY"] = {"poistu moottoritieltä", "poistu moottoritieltä"},               -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = {"aja moottoritielle", "aja sitten moottoritielle"}, 
    ["LEAVE_URBAN_HIGHWAY"] = {"poistu moottoritieltä", "poistu moottoritieltä"},            -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = {"poistu moottoritieltä", "poistu moottoritieltä"},         -- due to specifications ("take the exit")
    ["DRIVE_TO_NEAREST_ROAD"] = {"Aja lähimmälle tielle", "Aja lähimmälle tielle"},          -- drive to nearest road 
    ["FERRY"] = {"aja lautalle", "aja lautalle"}
}

maneuver_turns_car = {
    ["NO_TURN"] = "aja suoraan",                                         -- go straight ahead
    ["KEEP_MIDDLE"] = "valitse keskimmäinen kaista",                     -- take the middle lane
    ["KEEP_RIGHT"] = "pysy oikealla",
    ["LIGHT_RIGHT"] = "kaarra loivasti oikealle",
    ["QUITE_RIGHT"] = "käänny oikealle",
    ["HEAVY_RIGHT"] = "käänny jyrkästi oikealle",
    ["RETURN"] = "tee u-käännös",
    ["HEAVY_LEFT"] = "käänny jyrkästi vasemmalle",
    ["QUITE_LEFT"] = "käänny vasemmalle",
    ["LIGHT_LEFT"] = "kaarra loivasti vasemmalle",
    ["KEEP_LEFT"] = "pysy vasemmalla",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "aja suoraan",  
    ["KEEP_MIDDLE"] = "käänny keskellä olevalle tielle",
    ["KEEP_RIGHT"] = "käänny oikealla olevalle tielle",
    ["LIGHT_RIGHT"] = "kaarra loivasti oikealle",
    ["QUITE_RIGHT"] = "käänny oikealle",
    ["HEAVY_RIGHT"] = "käänny jyrkästi oikealle",
    ["RETURN"] = "tee u-käännös",
    ["HEAVY_LEFT"] = "käänny jyrkästi vasemmalle",
    ["QUITE_LEFT"] = "käänny vasemmalle",
    ["LIGHT_LEFT"] = "kaarra loivasti vasemmalle",
    ["KEEP_LEFT"] = "pysy vasemmalla",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "kulje rakennuksen läpi",
    ["SQUARE"] = "ylitä aukio",
    ["PARK"] = "kulje puiston halki",
    ["STAIRS"] = "mene portaisiin",
    ["ELEVATOR"] = "mene hissiin",
    ["ESCALATOR"] = "mene portaisiin"
}

final_command = {
    ["END"] = "Olet saapunut perille",                           -- You have reached your destination
    ["STOPOVER"] = "Olet reittipisteessä"                        -- You have reached a stopover
}

exit_number_check = {
    [1] = {"ensimmäisestä liittymästä", "käänny ensimmäiselle kadulle"},       -- take the first exit, turn at the first street
    [2] = {"toisesta liittymästä", "käänny toiselle kadulle"},                 -- take the second exit, turn at the second street
    [3] = {"kolmannesta liittymästä", "käänny kolmannelle kadulle"},           -- take the third exit, ...
    [4] = {"neljännestä liittymästä", "käänny neljännelle kadulle"},           -- take the fourth exit
    [5] = {"viidennestä liittymästä", "käänny viidennelle kadulle"},           -- take the fifth exit
    [6] = {"kuudennesta liittymästä", "käänny kuudennelle kadulle"},           -- take the sixth exit
    [7] = {"seitsemännestä liittymästä", "käänny seitsemännelle kadulle"},    -- take the seventh exit
    [8] = {"kahdeksannesta liittymästä", "käänny kahdeksannelle kadulle"},     -- take the eighth exit
    [9] = {"yhdeksännestä liittymästä", "käänny yhdeksännelle kadulle"},       -- take the ninth exit
    [10] = {"kymmenennestä liittymästä", "käänny kymmenennelle kadulle"},      -- take the tenth exit
    [11] = {"yhdennestätoista liittymästä", "käänny yhdennelletoista kadulle"}, -- take the eleventh exit
    [12] = {"kahdennestatoista liittymästä", "käänny kahdennelletoista kadulle"} -- take the twelfth exit
}

distances = {
    [50] = "Viidenkymmenen",
    [100] = "Sadan",
    [150] = "Sadanviidenkymmenen",
    [200] = "Kahdensadan",
    [250] = "Kahdensadanviidenkymmenen",
    [300] = "Kolmensadan",
    [400] = "Neljänsadan",
    [500] = "Viidensadan",
    [600] = "Kuudensadan",
    [700] = "Seitsemänsadan",
    [800] = "Kahdeksansadan",
    [900] = "Yhdeksänsadan",
    [1] = "Yhden",
    [2] = "Kahden",
    [3] = "Kolmen",
    [4] = "Neljän",
    [5] = "Viiden",
    [6] = "Kuuden",
    [7] = "Seitsemän",
    [8] = "Kahdeksan",
    [9] = "Yhdeksän",
    [10] = "Kymmenen"
}

distances_follow = {
    [2] = "kaksi",
    [3] = "kolme",
    [4] = "neljä",
    [5] = "viisi",
    [6] = "kuusi",
    [7] = "seitsemän",
    [8] = "kahdeksan",
    [9] = "yhdeksän",
    [10] = "kymmenen"
}

unit = {                        
    ["MILE"] = "mailin",
    ["YARDS"] = "jaardin",
    ["KILOMETER"] = "kilometrin",
    ["METERS"] = "metrin",
    ["METER"] = "metrin",
    ["KILOMETERS"] = "kilometrin",
    ["MILES"] = "mailin",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

unit_follow = {                        
    ["MILE"] = "mailia",
    ["YARDS"] = "jaardia",
    ["KILOMETER"] = "kilometriä",
    ["METERS"] = "metriä",
    ["METER"] = "metriä",
    ["KILOMETERS"] = "kilometriä",
    ["MILES"] = "mailia",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "kohti pohjoista",
    ["NORTH_EAST"] = "kohti koillista",
    ["EAST"] = "kohti itää",
    ["SOUTH_EAST"] = "kohti kaakkoa",
    ["SOUTH"] = "kohti etelää",
    ["SOUTH_WEST"] = "kohti lounasta",
    ["WEST"] = "kohti länttä",
    ["NORTH_WEST"] = "kohti luodetta"
}

misc = { 
    ["gps_signal_lost_wav"] = "GPS -signaali on kadotettu",
    ["gps_signal_restored_wav"] = "GPS-yhteys on luotu uudelleen",
 --   ["no_gps_signal_wav"] = "Ei GPS -signaalia",
    ["route_recalculation_wav"] = "Reitin uudelleenlaskenta",
    ["now_wav"] = "Nyt",
    ["end_of_street_wav"] = "Tien päässä",
    ["follow_motorway_wav"] = "Seuraa moottoritietä",
    ["follow_road_wav"] = "Seuraa tätä tietä",
    ["for_wav"] = "",                                                                        -- not needed for finnish
    ["after_wav"] = "jälkeen",
    ["the_junction_wav"] = "Risteyksen",
    ["half_a_mile_wav"] = "Puolen mailin",
    ["quarter_a_mile_wav"] = "Neljännesmailin",
    ["and_then_immediately_wav"] = "ja sitten heti",
    ["safety_camara_ahead_wav"] = "Liikennekamera edessä.",
    ["over_speed_limit_wav"] = "Huomioi nopeusrajoitus",
    ["traffic_automatic_detour_wav"] = "Liikennettä reitillä, käytetään kiertotietä",
    ["traffic_manual_detour_wav"] = "Liikennettä reitillä, haluatko käyttää kiertotietä?",
    ["no_detour_possible"] = "Kiertotietä liikenteen ympäri ei löydetty",
    ["and_wav"] = "ja",
    ["and_then_wav"] = "ja sitten",
    ["and_continue_on_wav"] = "ja jatka",
    ["towards_wav"] = "suuntaan",
    ["turn_wav"] = "käänny",
    ["onto_wav"] = "",                                                                      -- not needed due to gender issues
    ["exit_wav"] = "ja poistu moottoritieltä liittymästä",                                     -- take exit number (on motorway)
    ["second_right_wav"] = "valitse toinen oikea",                                          -- take the second right
    ["second_left_wav"] = "valitse toinen vasen",                                           -- take the second left
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "kävele liikenneympyrän vasenta puolta",
    ["walk_right_roundabout_wav"] = "kävele liikenneympyrän oikeaa puolta",
    ["walk_roundabout_wav"] = "Kävele liikenneympyrän ympäri",
    ["head_wav"] = "Suuntaa",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "\\pause=50\\ ",                                                          -- not needed due to gender issues
    ["the_footpath_wav"] = "ja mene polulle"                                                -- onto the footpath
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


